Discussioni template:Versioni compatibili

Da Guide@Debianizzati.Org.

Credo che il template Versioni Compatibili sia bloccato. Bisognerebbe contattare MadameZou e decidere insieme come fondere i due template. Ottimo lavoro, comunque.
Ferdybassi 15:55, 18 mag 2010 (CEST)

Fatto. Grazie :) --Stemby 22:56, 18 mag 2010 (CEST)

Indice

Numero parametri

Squeeze + Wheezy + Jessie + Stretch + Sid: non va. Il numero massimo di parametri ammessi è 4.

Penso vada bene: 5 è comunque il numero massimo possibile (LTS + oldstable (quando diversa dalla LTS) + stable + testing + unstable); quindi va bene usare {{Versioni compatibili}} senza parametri in questo caso; e la specifica esplicita per tutti gli altri.
A ogni modo quando Stretch diverrà la nuova stable, tutte le guide segnalate compatibili per tutte le versioni, salvo revisioni, saranno comunque contrassegnate come compatibili solo per Wheezy, Jessie e Stretch, salvo si tratti di pacchetti base o di cui si può verificare la compatibilità.
HAL 9000 22:03, 23 mag 2015 (CEST)

Da "versioni compatibili" a "versioni controllate"

Senza cambiare il template, che sarebbe una follia, forse sarebbe da modificare il testo o il titolo per renderne più chiaro il significato, in modo che chi lo guarda capisca che le guide sono state verificate per le versioni riportate, ma che non significa necessariamente che quelle mancanti non funzionano.

Si potrebbe:

La modifica è provvisoria, queste sono solo delle proposte da discutere. Ho modificato il template con la seconda proposta solo per vedere se introduce problemi di impaginazione. :)

HAL 9000 14:18, 24 mag 2015 (CEST)

Per me la soluzione migliore è cambiare il titolo come hai già proposto, per esempio: "versioni controllate", "versioni testate", "versioni certificate", ecc. Volendo si potrebbe aggiungere un paio di parole, del tipo: "versioni controllate dalla comunità".
Wtf 15:17, 24 mag 2015 (CEST)
Per me è ok "Versioni testate": è il più corto. :)
L'idea iniziale, nell'aggiungere del testo dopo il template in presenza di parametri, era di metterci anche un link (tipo "Verificala per un'altra" (versione)) a una brevissima guida che rimanda al template versioni compatibili per modificare il template con il nuovo codename e a quello autori per aggiungere la revisione. Ma purtroppo il nuovo testo sembra causare problemi anche così...
HAL 9000 16:32, 24 mag 2015 (CEST)
* Rimossa la modifica al template, ripristinando quello di prima, in attesa di optare per il cambio in "Versioni testate", se non ci saranno obiezioni.
* Modificata la descrizione della pagina, per non scoraggiare il contributo di chi usa Stretch. E invertite le due sezioni del template, in modo che quella di default si consigli l'uso dei parametri con il template.
HAL 9000 21:12, 24 mag 2015 (CEST)


Segnalo che i lavori per l'attuale template sono conclusi. Non si sa se verrà sostituito o meno in futuro, comunque e a maggior ragione direi di applicarlo almeno per il tempo che resta, considerando che quello attuale è comunque a metà tra il precedente e la versione finita. Qui i risultati (solo gli "Esempi" normali, senza la parte sul "nuovo template"): funzionerà senza problemi, basterà modificare una decina di guide. E me ne posso occupare io senza problemi, si tratta solo di modifiche marginali.

Risolve:

Poi si potrà intervenire sui singoli casi o proporre ovviamente nuove migliorie. :)

HAL 9000 22:15, 4 giu 2015 (CEST)


Modifiche concluse con successo, e tutte le (poche) guide influenzate sono state aggiornate. :)
HAL 9000 18:07, 5 giu 2015 (CEST)

Modifiche in locale

Sarebbe opportuno testare prima in locale tutte le modifiche apportate a questo template prima di applicarle al Wiki. Questo perché il template è su quasi tutte le guide e potrebbe causare problemi di visualizzazione in caso di modifica sbagliata. S3v 15:26, 30 mag 2015 (CEST)

Sono d'accordo ovviamente. Ma basta scaricare mediawiki? O serve l'esatta versione?
EDIT: Quelle effettuate, per prova, sono comunque concluse. Principalmente:
  • Aggiunta flag ONLY, per indicare (per la categoria nascosta) quelle di cui si è verificata la *non* compatibilità. Utilizzata per prova sulla guida Amule, che non è mostrata nell'elenco delle guide da verificare per Jessie.
  • Gestione template versioni testate/compatibili (compatibili per tutte le versioni e per quelle con flag ONLY; mentre testate per le altre).
  • Per StretchTestingSid, se si decidesse di aggiungerlo, non ci sarebbe bisogno di provare niente, funzionerebbe come un parametro normale.
L'unica modifica "permanente" è la nuova categoria d'aiuto in caso di errori, e qualche modifica alla descrizione del template.
HAL 9000 15:45, 30 mag 2015 (CEST)
Serve l'esatta versione: http://releases.wikimedia.org/mediawiki/ ;) S3v 16:14, 30 mag 2015 (CEST)

Spazi tra titolo e codename

per cortesia eliminate un po' di tag <br /> dal template. Selky 03:14, 6 giu 2015 (CEST)

Dovrebbero essercene due (fine riga + riga vuota). Vedo come sta con uno solo. :)
HAL 9000 09:49, 6 giu 2015 (CEST)

Uso del template di supporto "Versioni compatibili elenco"

Come da task #61 di Revisione Wiki il template è stato notevolmente semplificato, e d'ora in poi basterà tenere aggiornato soltanto il template di supporto a ogni avanzamento di versione di Debian.

Il template di supporto è molto più breve, basta cambiarlo in un punto solo (anziché in 4) e ha pochissime istruzioni per MediaWiki, rendendo anche superflua la continua creazione di categorie nascoste. Inoltre contiene tutte le informazioni per agevolare il proprio aggiornamento.

HAL 9000 18:34, 8 apr 2016 (CEST)

Strumenti personali
Namespace
Varianti
Azioni
Navigazione
Risorse
Strumenti